# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'multithreads_each/version'

Gem::Specification.new do |spec|
  spec.name          = "multithreads_each"
  spec.version       = MultithreadsEach::VERSION
  spec.authors       = ["TakteS"]
  spec.email         = ["takt96@gmail.com"]
  spec.description   = "Simple syntactic sugar for arrays that performs the same actions as the method each, but creates a new thread for every call"
  spec.summary       = "Multithreads each for arrays"
  spec.homepage      = "https://github.com/TakteS/multithreads_each"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
